package com.mortals.xhx.module.resource.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.resource.model.ResourceEntity;

import java.util.List;
import java.util.Set;

/**
* ResourceService
*
* 资源信息业务 service接口
*
* @author zxfei
* @date 2022-05-25
*/
public interface ResourceService extends ICRUDService<ResourceEntity,Long>{
    /**
     * 查询所有可用资源
     * @return
     * @throws AppException
     */
    public List<ResourceEntity> findAllEnable() throws AppException;

    /**
     * 根据用户查询可用资源
     * @param userId
     * @return
     * @throws AppException
     */
    public List<ResourceEntity> findListByUserId(Long userId) throws AppException;

    /**
     * 查询用户可用资源
     * @param userId
     * @return 字符串，多个以逗号分隔
     * @throws AppException
     */
    public String findUrlByUserId(Long userId) throws AppException;

    /**
     * 查询用户用资源集合
     * @param userId
     * @return
     * @throws AppException
     */
    public Set<String> findUrlSetByUserId(Long userId) throws AppException;

    /**
     * 获取所有资源，不分页
     * @return
     * @param userType
     */
    List<ResourceEntity> findAll(int userType);
}